import { IMapViewer, Size } from "../api/common";
export interface IMapCapturerContextCallback {
    updateBoxCoords(box: string, normalizedBox: string): void;
}
export declare class MapCapturerContext {
    private viewer;
    private mapName;
    private rotation;
    private mapCapturerSource;
    private mapCapturerLayer;
    private layerName;
    private intTranslate;
    private features;
    private activeCallback;
    constructor(viewer: IMapViewer, mapName: string, rotation?: number);
    private getRing;
    private onTranslateEnd;
    updateBox(paperSize: Size, scaleDenominator: number, rotation: number): void;
    private createCaptureBox;
    getMapName(): string;
    activate(callback: IMapCapturerContextCallback, paperSize: Size, scaleDenominator: number, rotation: number): void;
    deactivate(): void;
}
